package com.zehong.system.domain.vo;

public class ProAppInforBrowseVo {

    /** 专家姓名 */
    private String name;

    /** 身份证号 */
    private String idNo;

    /** 所在地区 */
    private String area;

    /** 性别：1-男性，2-女性 */
    private String sex;

    /** 出生日期 */
    private String birthday;

    /** 联系电话 */
    private String phone;

    /** 所属专业 */
    private String major;

    /** 工作单位编码 */
    private String entUuid;

    /** 工作单位名称 */
    private String workUnit;

    /** 职务 */
    private String duties;

    /** 专业技术职称 */
    private String majorTitle;

    /** 现从事专业 */
    private String majorNow;

    /** 从事行业燃气种类 可以是多个，逗号分割

     03-0100-0101：管道燃气

     03-0100-0102：液化天然气（LNG）

     03-0100-0103：压缩天然气(CNG)

     03-0200：液化石油气(LPG)

     03-0300：人工煤气

     03-0400：液化石油气混空气

     03-0500：沼气

     03-0600：氢气 */
    private String gasType;

    /** 擅长工作领域，可以是多个，逗号分割 */
    private String goodArea;

    /** 相关学习工作经历及工作业绩 */
    private String learningWorkExperience;

    /**聘用时间*/
    private String employTime;

    /**是否有效：0 有效，1 无效*/
    private Long validType;

    /** 是否省级专家 1 是，0 不是 */
    private String thisProvinceFlag;

    /**聘用批次*/
    private String employBatch;

    /** 最后修改时间 */
    private String updateTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getEntUuid() {
        return entUuid;
    }

    public void setEntUuid(String entUuid) {
        this.entUuid = entUuid;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getDuties() {
        return duties;
    }

    public void setDuties(String duties) {
        this.duties = duties;
    }

    public String getMajorTitle() {
        return majorTitle;
    }

    public void setMajorTitle(String majorTitle) {
        this.majorTitle = majorTitle;
    }

    public String getMajorNow() {
        return majorNow;
    }

    public void setMajorNow(String majorNow) {
        this.majorNow = majorNow;
    }

    public String getGasType() {
        return gasType;
    }

    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    public String getGoodArea() {
        return goodArea;
    }

    public void setGoodArea(String goodArea) {
        this.goodArea = goodArea;
    }

    public String getLearningWorkExperience() {
        return learningWorkExperience;
    }

    public void setLearningWorkExperience(String learningWorkExperience) {
        this.learningWorkExperience = learningWorkExperience;
    }

    public String getEmployTime() {
        return employTime;
    }

    public void setEmployTime(String employTime) {
        this.employTime = employTime;
    }

    public Long getValidType() {
        return validType;
    }

    public void setValidType(Long validType) {
        this.validType = validType;
    }

    public String getThisProvinceFlag() {
        return thisProvinceFlag;
    }

    public void setThisProvinceFlag(String thisProvinceFlag) {
        this.thisProvinceFlag = thisProvinceFlag;
    }

    public String getEmployBatch() {
        return employBatch;
    }

    public void setEmployBatch(String employBatch) {
        this.employBatch = employBatch;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
